Skip site navigation (1) Skip section navigation (2)

Re: gcc-3.4.1

From: Andreas Pflug <pgadmin(at)pse-consulting(dot)de>
To: Thomas Trepl <ttrepl(at)yahoo(dot)de>
Cc: pgadmin-hackers(at)postgresql(dot)org
Subject: Re: gcc-3.4.1
Date: 2004-07-18 21:41:33
Message-ID: 40FAEE8D.7060502@pse-consulting.de (view raw or flat)
Thread:
Lists: pgadmin-hackers
Thomas Trepl wrote:
> Hi,
> 
> I'm on a beLFS installation (kernel 2.6.7, glibc-2.3.4-cvs, gcc-3.4.1) 
> and i have found an issue related to gcc-3.4.1.  I have to add that I'm 
> really no C++ programmer, so i don't know whether the following patch 
> produces nice/correct/complete code, but it helps to get pgAdmin3 
> compilable with gcc-3.4.1.  The patch relies on a cvs checkout of the 
> 18, July 2004.

Can you provide the error message you received from gcc?
I don't quite see why we should make those methods public, they're 
protected intentionally.

Regards,
Andreas

In response to

  • gcc-3.4.1 at 2004-07-18 09:12:46 from Thomas Trepl

pgadmin-hackers by date

Next:From: cvsDate: 2004-07-18 22:07:04
Subject: CVS Commit by andreas: Allow change of some function attributes
Previous:From: Thomas TreplDate: 2004-07-18 09:12:46
Subject: gcc-3.4.1

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group